Bug 111014 - Display corrupted after suspend/resume on Thinkpad X30
Display corrupted after suspend/resume on Thinkpad X30
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2003-11-26 10:05 EST by Christos Papadopoulos
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-21 07:29:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Christos Papadopoulos 2003-11-26 10:05:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1)

Description of problem:
Display behaves erratically after returning from suspend. For example,
clicking on main menu will not reveal pulldown menu unless mouse moves
over it. Also, screen saver kicks in even though mouse was in use.
Switching between virtual desktops does not work. Restaring X does not
fix the problem. Problem started recenlty, after applying updates, but
not sure which one. Rebooting fixes the problem.

Version-Release number of selected component (if applicable):
XFree86-4.3.0-2.90.43, 2.4.20-20.9

How reproducible:

Steps to Reproduce:
3.Try to use X

Actual Results:  X behaves erratically

Expected Results:  X should behave normally

Additional info:

I use Cisco's Aironet 350 wireless card.
Comment 1 Christos Papadopoulos 2003-12-03 01:18:34 EST
Update: I think I found the problem. the video memory was set
incorrectly to 64MB. Changing it to 32MB seems to have fixed the problem.

Steps to correct:
- From main menu select System Settings->Display->Advanced
- Select Configure and set custom memory size to 32MB.
You will need to restart X and perhaps reboot the machine.
Comment 2 Mike A. Harris 2004-09-21 07:29:27 EDT
In general, you should never set the memory size.  The video drivers
autodetect the proper amount of memory on almost all hardware with
very few exceptions, and specifying the memory can cause problems
in particular if you get it wrong.

Thanks for the update, setting status to "NOTABUG".

Note You need to log in before you can comment on or make changes to this bug.